Description

We need the ability to authenticate nodes before serving an external nodes request.  One box should not be allowed to access the

parameters and classes of another.  Parameters can potentially contain sensitive information.

Associated revisions

Revision ae763d61 - 05/08/2011 06:02 PM - Trevor Vaughan - Onyx Point 

Completed README

Refs #26

Closes #39

Revision 2965eacc - 12/13/2019 03:35 PM - Evgeni Golov

use python3-django-admin instead of unversioned django-admin

Fixes: #39

History

#1 - 10/07/2009 10:16 PM - Ohad Levy

Do you mean the external node lookup script, the web interface YAML link or both?

how would you want to restrict it? based on hostnames?

#2 - 10/07/2009 10:36 PM - Carl Caum

The external node lookup script.  I think we should use certs.  We could just use puppetca.

What gets tricky is puppetmasterless environments.  We'll need some sort of differentiation between puppetmasters and node requests.  A

puppetmaster should be able to make requests for any node, but a node should only be able to make requests for itself.

#3 - 10/11/2009 12:41 AM - Ohad Levy

Carl Caum wrote:

The external node lookup script.  I think we should use certs.  We could just use puppetca.

What gets tricky is puppetmasterless environments.  We'll need some sort of differentiation between puppetmasters and node requests.  A

puppetmaster should be able to make requests for any node, but a node should only be able to make requests for itself.

 if you just want plain SSL authentication, that you would need to use passenger /  mongrel and enforce the SSL verification.

this will allow any puppet signed certificate to contact foreman.

this will only solve your case (where you are running without a puppetmaster), maybe we still need an allowed host list where the puppetmasters can

be verified.

#4 - 11/05/2009 01:29 PM - Ohad Levy

- Status changed from New to Need more information
- Assignee changed from Ohad Levy to Carl Caum

is this still required? does using SSL provides you a solution or do you still see a need for Foreman to do something?

#5 - 12/06/2012 10:27 AM - Benjamin Papillon

Hello,

Did you solved your request by using apache access mecanism (cert or anything)?

Is this still required?

Benjamin

#6 - 12/06/2012 12:06 PM - Carl Caum

- Status changed from Need more information to Closed

This is no longer required.  Thanks for following up.
